[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# EBitsError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when an error occurs in a method of TBits.

## Declaration

Source position: classesh.inc line 140

`type EBitsError = class(Exception)`

## Inheritance

`EBitsError` |  | Exception raised when an error occurs in a method of TBits.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

When an index of a bit in a TBits is out of the valid range (0 to Count-1) then a EBitsError exception is raised.